Endpunkte
Chat öffnen
Chat mit Verlauf. messages sind UIMessage-Objekte des Vercel AI SDK und können direkt an useChat übergeben werden.
GET
/
chats
/
{id}
Chat öffnen
curl --request GET \
--url https://delicious-ai-app.wonderfulgrass-3eed3e5c.westeurope.azurecontainerapps.io/api/public/v1/chats/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://delicious-ai-app.wonderfulgrass-3eed3e5c.westeurope.azurecontainerapps.io/api/public/v1/chats/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://delicious-ai-app.wonderfulgrass-3eed3e5c.westeurope.azurecontainerapps.io/api/public/v1/chats/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"chat": {
"id": "Q7xk2mVb9pLw",
"title": "Wochenrückblick Verkäufe",
"promptId": "ab12cd34ef56gh78ij90klmn",
"createdAt": "2026-09-17T08:12:44.000Z",
"updatedAt": "2026-09-17T08:13:20.000Z",
"lastActivityAt": "2026-09-17T08:13:20.000Z"
},
"messages": [
{
"id": "m2",
"role": "user",
"parts": [
{
"type": "tool-createReport",
"toolCallId": "call_1",
"state": "output-available",
"input": {},
"output": {}
},
{
"type": "text",
"text": "Letzte Woche …"
}
],
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"message": "Invalid API token"
}{
"code": "forbidden",
"message": "The AI assistant is not enabled for this user"
}{
"code": "chat_not_found",
"message": "Chat not found"
}{
"message": "Product backend unavailable"
}Authorizations
Access Token des Nutzers aus der Delicious Data App (Einstellungen → Benutzerkonto → API-Token). Gilt bis zu sechs Tage, endet mit dem Logout.
Path Parameters
Chat-ID aus POST /chats oder der Liste
Example:
"Q7xk2mVb9pLw"
⌘I
Chat öffnen
curl --request GET \
--url https://delicious-ai-app.wonderfulgrass-3eed3e5c.westeurope.azurecontainerapps.io/api/public/v1/chats/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://delicious-ai-app.wonderfulgrass-3eed3e5c.westeurope.azurecontainerapps.io/api/public/v1/chats/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://delicious-ai-app.wonderfulgrass-3eed3e5c.westeurope.azurecontainerapps.io/api/public/v1/chats/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"chat": {
"id": "Q7xk2mVb9pLw",
"title": "Wochenrückblick Verkäufe",
"promptId": "ab12cd34ef56gh78ij90klmn",
"createdAt": "2026-09-17T08:12:44.000Z",
"updatedAt": "2026-09-17T08:13:20.000Z",
"lastActivityAt": "2026-09-17T08:13:20.000Z"
},
"messages": [
{
"id": "m2",
"role": "user",
"parts": [
{
"type": "tool-createReport",
"toolCallId": "call_1",
"state": "output-available",
"input": {},
"output": {}
},
{
"type": "text",
"text": "Letzte Woche …"
}
],
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"message": "Invalid API token"
}{
"code": "forbidden",
"message": "The AI assistant is not enabled for this user"
}{
"code": "chat_not_found",
"message": "Chat not found"
}{
"message": "Product backend unavailable"
}